package com.yeejoin.amos.fas.business.service.intfc;

import com.yeejoin.amos.fas.business.param.CommonPageInfoParam;
import com.yeejoin.amos.fas.dao.entity.RiskLevel;
import org.springframework.data.domain.Page;

import java.util.HashMap;
import java.util.List;

public interface IRiskLevelService {

	Page<HashMap<String, Object>> queryRiskLevelPage(String toke,String product,String appKey,CommonPageInfoParam param);

	void editRiskLevel(HashMap<String, Object> map);

	void detRiskLevel(Long[] param);

	List<RiskLevel> queryRiskLevel(Long id);
	
	Long countRepeatData(RiskLevel param);

}
